Module org.jfree.chart3d
Package org.jfree.chart3d

# Class Colors

java.lang.Object
org.jfree.chart3d.Colors

public class Colors extends Object
A utility class that creates and returns color swatches that can be used in charts. The "i want hue" utility has been used to generate a number of these color sets. See http://tools.medialab.sciences-po.fr/iwanthue/.

## Method Summary

Modifier and Type
Method
Description
`static Color[]`
`createBlueOceanColors()`
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Blue Ocean" settings.
`static Color[]`
`createFancyDarkColors()`
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Fancy (dark background)" settings.
`static Color[]`
`createFancyLightColors()`
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Fancy (light background)" settings.
`static Color[]`
`createFluoColors()`
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Fluo" settings.
`static Color[]`
`createGreenMintColors()`
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Green Mint" settings.
`static Color[]`
`createIceCubeColors()`
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Ice Cube" settings.
`static Color[]`
`createIndigoNightColors()`
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Indigo Night" settings.
`static Color[]`
`createIntenseColors()`
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Intense" settings.
`static Color[]`
`createOchreSandColors()`
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Ochre Sand" settings.
`static Color[]`
`createPastelColors()`
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Pastel" settings.
`static Color[]`
`createPimpColors()`
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Pimp" settings.
`static Color[]`
`createPurpleWineColors()`
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Purple Wine" settings.
`static Color[]`
`createRedRosesColors()`
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Red Roses" settings.
`static Color[]`
`createShadesColors()`
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Shades" settings.
`static Color[]`
`createTarnishColors()`
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Tarnish" settings.
`static Color[]`
`createYellowLimeColors()`
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Yellow Lime" settings.
`static Color[]`
`getBrewerQualitativePairedN12Colors()`
Returns a newly created array containing 12 colors from the the ColorBrewer tool.
`static Color[]`
`getBrewerQualitativeSet1N9Colors()`
Returns a newly created array containing 9 colors from the the ColorBrewer tool.
`static Color[]`
`getBrewerQualitativeSet3N12Colors()`
Returns a newly created array containing 11 colors from the the ColorBrewer tool.
`static Color[]`
`getColors1()`
Returns an array of four colors.
`static Color[]`
`getColors2()`
Returns an array of four colors.
`static Color[]`
`getDefaultColors()`
Returns the default colors.
`static Color[]`
`getDesignSeedsPepper()`
Returns an array of six colors (source: http://blog.design-seeds.com/generating-color/).
`static Color[]`
`getDesignSeedsShells()`
Returns an array of six colors (source: http://blog.design-seeds.com/generating-color/).
`static Color[]`
`getEarthColors()`
Returns a palette of 7 colors with earth tones.
`static Color[]`
`getSAPMultiColor()`
Returns a set of colors sourced from http://www.sapdesignguild.org/goodies/diagram_guidelines/index.html.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDefaultColors

public static Color[] getDefaultColors()
Returns the default colors.

Returns:
  The default colors.

### createFancyLightColors

public static Color[] createFancyLightColors()
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Fancy (light background)" settings. A new array instance is created for each call to this method. A link to the "i want hue" utility is given in the class description.

Returns:
  An array of ten colors (never `null`).
Since:
  1.2

### createFancyDarkColors

public static Color[] createFancyDarkColors()
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Fancy (dark background)" settings. A new array instance is created for each call to this method. A link to the "i want hue" utility is given in the class description.

Returns:
  An array of ten colors (never `null`).
Since:
  1.2

### createShadesColors

public static Color[] createShadesColors()
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Shades" settings. A new array instance is created for each call to this method. A link to the "i want hue" utility is given in the class description.

Returns:
  An array of ten colors (never `null`).
Since:
  1.2

### createTarnishColors

public static Color[] createTarnishColors()
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Tarnish" settings. A new array instance is created for each call to this method. A link to the "i want hue" utility is given in the class description.

Returns:
  An array of ten colors (never `null`).
Since:
  1.2

### createPastelColors

public static Color[] createPastelColors()
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Pastel" settings. A new array instance is created for each call to this method. A link to the "i want hue" utility is given in the class description.

Returns:
  An array of ten colors (never `null`).
Since:
  1.2

### createPimpColors

public static Color[] createPimpColors()
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Pimp" settings. A new array instance is created for each call to this method. A link to the "i want hue" utility is given in the class description.

Returns:
  An array of ten colors (never `null`).
Since:
  1.2

### createIntenseColors

public static Color[] createIntenseColors()
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Intense" settings. A new array instance is created for each call to this method. A link to the "i want hue" utility is given in the class description.

Returns:
  An array of ten colors (never `null`).
Since:
  1.2

### createFluoColors

public static Color[] createFluoColors()
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Fluo" settings. A new array instance is created for each call to this method. A link to the "i want hue" utility is given in the class description.

Returns:
  An array of ten colors (never `null`).
Since:
  1.2

### createRedRosesColors

public static Color[] createRedRosesColors()
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Red Roses" settings. A new array instance is created for each call to this method. A link to the "i want hue" utility is given in the class description.

Returns:
  An array of ten colors (never `null`).
Since:
  1.2

### createOchreSandColors

public static Color[] createOchreSandColors()
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Ochre Sand" settings. A new array instance is created for each call to this method. A link to the "i want hue" utility is given in the class description.

Returns:
  An array of ten colors (never `null`).
Since:
  1.2

### createYellowLimeColors

public static Color[] createYellowLimeColors()
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Yellow Lime" settings. A new array instance is created for each call to this method. A link to the "i want hue" utility is given in the class description.

Returns:
  An array of ten colors (never `null`).
Since:
  1.2

### createGreenMintColors

public static Color[] createGreenMintColors()
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Green Mint" settings. A new array instance is created for each call to this method. A link to the "i want hue" utility is given in the class description.

Returns:
  An array of ten colors (never `null`).
Since:
  1.2

### createIceCubeColors

public static Color[] createIceCubeColors()
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Ice Cube" settings. A new array instance is created for each call to this method. A link to the "i want hue" utility is given in the class description.

Returns:
  An array of ten colors (never `null`).
Since:
  1.2

### createBlueOceanColors

public static Color[] createBlueOceanColors()
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Blue Ocean" settings. A new array instance is created for each call to this method. A link to the "i want hue" utility is given in the class description.

Returns:
  An array of ten colors (never `null`).
Since:
  1.2

### createIndigoNightColors

public static Color[] createIndigoNightColors()
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Indigo Night" settings. A new array instance is created for each call to this method. A link to the "i want hue" utility is given in the class description.

Returns:
  An array of ten colors (never `null`).
Since:
  1.2

### createPurpleWineColors

public static Color[] createPurpleWineColors()
Returns a palette of ten colors created using the "i want hue" utility, using the preset "Purple Wine" settings. A new array instance is created for each call to this method. A link to the "i want hue" utility is given in the class description.

Returns:
  An array of ten colors (never `null`).
Since:
  1.2

### getEarthColors

public static Color[] getEarthColors()
Returns a palette of 7 colors with earth tones.

Returns:
  An array of 7 colors (never `null`).

### getBrewerQualitativeSet1N9Colors

public static Color[] getBrewerQualitativeSet1N9Colors()
Returns a newly created array containing 9 colors from the the ColorBrewer tool. This is a high-contrast set of colors, good for pie charts. http://colorbrewer2.org/?type=qualitative&scheme=Set1&n=9

Returns:
  A color array.

### getBrewerQualitativePairedN12Colors

public static Color[] getBrewerQualitativePairedN12Colors()
Returns a newly created array containing 12 colors from the the ColorBrewer tool. http://colorbrewer2.org/?type=qualitative&scheme=Paired&n=12

Returns:
  A color array.

### getBrewerQualitativeSet3N12Colors

public static Color[] getBrewerQualitativeSet3N12Colors()
Returns a newly created array containing 11 colors from the the ColorBrewer tool. Good for pie charts and bar charts, not so good for scatter plots. http://colorbrewer2.org/?type=qualitative&scheme=Set3&n=12

Returns:
  A color array.

### getSAPMultiColor

public static Color[] getSAPMultiColor()
Returns a set of colors sourced from http://www.sapdesignguild.org/goodies/diagram_guidelines/index.html.

Returns:
  A color array.

### getColors1

public static Color[] getColors1()
Returns an array of four colors.

Returns:
  An array of four colors.

### getColors2

public static Color[] getColors2()
Returns an array of four colors.

Returns:
  An array of four colors.

### getDesignSeedsShells

public static Color[] getDesignSeedsShells()
Returns an array of six colors (source: http://blog.design-seeds.com/generating-color/).

Returns:
  An array of six colors.

### getDesignSeedsPepper

public static Color[] getDesignSeedsPepper()
Returns an array of six colors (source: http://blog.design-seeds.com/generating-color/).

Returns:
  An array of six colors.